<?php
/**
 * The Header for GymPress Theme
 *
 * @package gympress-pt
 */

?>

<!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
	<head>
		<meta charset="<?php bloginfo( 'charset' ); ?>" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
		<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
		<?php endif; ?>

		<?php wp_head(); ?>

	</head>

	<body <?php body_class(); ?>>
	<div class="boxed-container<?php echo ( is_single() && 'post' === get_post_type() ) ? '  h-entry' : ''; ?>">

	<?php get_template_part( 'template-parts/top-bar' ); ?>

	<header class="header__container">
		<div class="container">
			<div class="header">
				<!-- Logo -->
				<?php
					$gympress_logo   = get_theme_mod( 'logo_img', false );
					$gympress_logo2x = get_theme_mod( 'logo2x_img', false );
				?>
				<a class="header__logo<?php echo empty( $gympress_logo ) ? '  header__logo--text' : ''; ?>" href="<?php echo esc_url( home_url( '/' ) ); ?>">
					<?php if ( ! empty( $gympress_logo ) ) : ?>
						<img src="<?php echo esc_url( $gympress_logo ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name' ) ); ?>" srcset="<?php echo esc_attr( $gympress_logo ); ?><?php echo empty( $gympress_logo2x ) ? '' : ', ' . esc_url( $gympress_logo2x ) . ' 2x'; ?>" class="img-fluid" <?php echo GymPressHelpers::get_logo_dimensions(); ?> />
					<?php
					else :
						printf( '<%1$s class="h1  header__logo-text">%2$s</%1$s>', GymPressHelpers::is_slider_template() ? 'h1' : 'p', esc_html( get_bloginfo( 'name' ) ) );
					endif;
					?>
				</a>
				<!-- Toggle button for Main Navigation on mobile -->
				<button class="btn  btn-primary  header__navbar-toggler  hidden-lg-up  js-sticky-mobile-option" type="button" data-toggle="collapse" data-target="#gympress-main-navigation"><i class="fa  fa-bars  hamburger"></i> <span><?php esc_html_e( 'Menu' , 'gympress-pt' ); ?></span></button>
				<!-- Main Navigation -->
				<nav class="header__main-navigation  collapse  navbar-toggleable-md  js-sticky-desktop-option" id="gympress-main-navigation" aria-label="<?php esc_html_e( 'Main Menu', 'gympress-pt' ); ?>">
					<?php
					if ( has_nav_menu( 'main-menu' ) ) {
						wp_nav_menu( array(
							'theme_location' => 'main-menu',
							'container'      => false,
							'menu_class'     => 'main-navigation  js-main-nav  js-dropdown',
							'walker'         => new Aria_Walker_Nav_Menu(),
							'items_wrap'     => '<ul id="%1$s" class="%2$s" role="menubar">%3$s</ul>',
						) );
					}
					?>
				</nav>
			</div>
		</div>
	</header>
