<?php echo $args['before_widget']; ?>

	<div class="person-profile  h-card">
		<?php if ( ! empty( $instance['image'] ) ) : ?>
		<img class="person-profile__image  wp-post-image" src="<?php echo esc_url( $instance['image'] ); ?>" alt="<?php echo esc_attr( $text['picture_of'] ) . ' ' . esc_attr( $instance['name'] ); ?>">
		<?php endif; ?>
		<?php if ( ! empty( $instance['carousel'] ) ) : ?>
			<?php
				// Parameters for the slick carousel slider.
				$slick_data = array(
					'adaptiveHeight' => true,
					'prevArrow'      => '<button type="button" class="slick-prev  slick-arrow"><span class="screen-reader-text">' . esc_html__( 'Previous', 'gympress-pt' ) . '</span><i class="fa fa-arrow-left" aria-hidden="true"></i></button>',
					'nextArrow'      => '<button type="button" class="slick-next  slick-arrow"><span class="screen-reader-text">' . esc_html__( 'Next', 'gympress-pt' ) . '</span><i class="fa fa-arrow-right" aria-hidden="true"></i></button>',
				);
			?>
			<div class="person-profile__carousel<?php echo 1 < count( $instance['carousel'] ) ? '  js-person-profile-initialize-carousel' : ''; ?>" <?php echo 1 < count( $instance['carousel'] ) ? "data-slick='" . wp_json_encode( $slick_data ) . "'" : ""; ?>>
				<?php foreach ( $instance['carousel'] as $carousel_item ) : ?>
					<div class="person-profile__carousel-item">
						<?php if ( 'image' === $carousel_item['type'] && ! empty( $carousel_item['url'] ) ) : ?>
							<img class="person-profile__image  wp-post-image  u-photo" src="<?php echo esc_url( $carousel_item['url'] ); ?>" alt="<?php echo esc_attr( $text['picture_of'] ) . ' ' . esc_attr( $instance['name'] ); ?>">
						<?php elseif ( 'video' === $carousel_item['type'] && ! empty( $carousel_item['url'] ) ) : ?>
							<?php
							$video_class = '';
							if ( strstr( $carousel_item['url'], 'youtube.com/' ) ) {
								$video_class = '  js-carousel-item-yt-video';
							}
							elseif ( strstr( $carousel_item['url'], 'vimeo.com/' ) ) {
								$video_class = '  js-carousel-item-vimeo-video';
							}
							?>
							<div class="person-profile__carousel-item--video<?php echo esc_attr( $video_class ); ?>">
								<?php
								echo wp_oembed_get(
									esc_url( $carousel_item['url'] ),
									array(
										'api' => '1',
										'player_id' => uniqid( 'pt-sc-pp-video-' ),
									)
								);
								?>
							</div>
						<?php endif; ?>
					</div>
				<?php endforeach; ?>
			</div>
		<?php endif; ?>
		<div class="person-profile__basic-info">
			<?php if ( ! empty( $instance['label'] ) ) : ?>
				<div class="person-profile__label">
					<?php echo esc_html( $instance['label'] ); ?>
				</div>
			<?php endif; ?>

			<?php if ( ! empty( $instance['name'] ) ) : ?>
				<h4 class="person-profile__name  p-name">
				<?php if ( ! empty( $instance['name_link'] ) ) : ?>
					<a href="<?php echo esc_url( $instance['name_link'] ); ?>">
				<?php endif; ?>
				<?php echo esc_html( $instance['name'] ); ?>
				<?php if ( ! empty( $instance['name_link'] ) ) : ?>
					</a>
				<?php endif; ?>
				</h4>
			<?php endif; ?>

			<?php if ( ! empty( $instance['description'] ) ) : ?>
				<div class="person-profile__description">
					<?php echo wp_kses_post( $instance['description'] ); ?>
				</div>
			<?php endif; ?>
		</div>
		<?php if ( ! empty( $instance['social_icons'] ) ) : ?>
			<div class="person-profile__social-icons">
				<span><?php esc_html_e( 'Social:' , 'gympress-pt' ); ?></span>
				<?php foreach ( $instance['social_icons'] as $icon ) : ?>
					<a class="person-profile__social-icon" href="<?php echo esc_url( $icon['link'] ); ?>" target="<?php echo ( ! empty( $instance['new_tab'] ) ) ? '_blank' : '_self' ?>"><i class="fa  <?php echo esc_attr( $icon['icon'] ); ?>"></i></a>
				<?php endforeach; ?>
			</div>
		<?php endif; ?>
	</div>

<?php echo $args['after_widget']; ?>
